/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.consumergroupsidentifiers;

import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Component;

/**
 *
 * @author omozegieaziegbe
 */
@Component
public class KafkaConsumer {

    @KafkaListener(
            topics = "myTopic",
            groupId = "myConsumerGroup",
            id = "consumer1",
            clientIdPrefix = "myApp-"
    )
    public void listen(String message) {
        // Process received message
        System.out.println("Received message: " + message);
    }
}
